commit:     e55ed3be899052c64246717c1681e92126354034
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu May 25 09:57:03 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu May 25 10:51:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e55ed3be

games-action/violetland: Cleanup ebuild

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 games-action/violetland/violetland-0.4.3-r1.ebuild | 25 +++++++++-------------
 1 file changed, 10 insertions(+), 15 deletions(-)

diff --git a/games-action/violetland/violetland-0.4.3-r1.ebuild 
b/games-action/violetland/violetland-0.4.3-r1.ebuild
index 523d65d11da..5067bd2caca 100644
--- a/games-action/violetland/violetland-0.4.3-r1.ebuild
+++ b/games-action/violetland/violetland-0.4.3-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-inherit eutils multilib toolchain-funcs flag-o-matic cmake-utils
+inherit eutils cmake-utils
 
 DESCRIPTION="Help a girl named Violet in the struggle with hordes of monsters"
 HOMEPAGE="https://code.google.com/p/violetland/";
@@ -15,7 +15,7 @@ KEYWORDS="~amd64 ~x86"
 IUSE=""
 
 RDEPEND="
-       dev-libs/boost[threads(+)]
+       dev-libs/boost:=[threads(+)]
        media-libs/libsdl[sound,video]
        media-libs/sdl-image[png]
        media-libs/sdl-mixer[vorbis]
@@ -24,33 +24,28 @@ RDEPEND="
        virtual/opengl"
 DEPEND="${RDEPEND}"
 
-PATCHES=(
-       "${FILESDIR}"/${P}-boost150.patch
-)
+PATCHES=( "${FILESDIR}"/${P}-boost150.patch )
 
 src_prepare() {
-       default
+       cmake-utils_src_prepare
 
        sed -i \
                -e "/README_EN.TXT/d" \
                -e "/README_RU.TXT/d" \
                CMakeLists.txt || die "sed failed"
+       rm README_RU.TXT || die
 }
 
 src_configure() {
-       mycmakeargs=(
-               "-DCMAKE_INSTALL_PREFIX=/usr"
-               "-DDATA_INSTALL_DIR=/usr/share/${PN}"
-               )
+       local mycmakeargs=(
+               -DDATA_INSTALL_DIR=share/${PN}
+       )
        cmake-utils_src_configure
 }
 
-src_compile() {
-       cmake-utils_src_compile
-}
-
 src_install() {
-       DOCS="README_EN.TXT CHANGELOG" cmake-utils_src_install
+       cmake-utils_src_install
+
        newicon icon-light.png ${PN}.png
        make_desktop_entry ${PN} VioletLand
 }

Reply via email to